%option yylineno
%%

[ \t]
\n\r|\n|\r { yylval = (int) mkstr(yytext,yyleng); return NEWLINE; }
[0-9]+ { yylval = (int) mkstr(yytext,yyleng); return NUMBER; }
"+" return '+';
"-" return '-';
"*" return '*';
"/" return '/';

. {char msg[]="unrecognized symbol '_'";
 msg[sizeof(msg)-3]=*yytext;
 yyerror(msg);
 //printf("***ERROR*** unrecognized symbol '%s'\n", yytext);
 }

%%

int yywrap() {
	return 1;
}
